Inhalte
Index 🔎︎

# Anweisung DefStr

Wenn kein Zeichen oder Schlüsselwort zur Typendeklaration angegeben ist, setzt die Anweisung DefStr den Standardvariablentyp entsprechend einem Buchstabenbereich.

## Syntax:

    Defxxx Zeichenbereich1[, Zeichenbereich2[,...]]

## Parameter:

Zeichenbereich: Buchstaben, welche die Variablen-Namensbereiche der zu definierenden Standard-Datentypen festlegen.

xxx: Schlüsselwort zur Definition des Standard-Variablentyps:

Schlüsselwort: voreingestellter Variablentyp

DefStr: String

## Beispiel:

    ' Prefix-Definitionen für die verschiedenen Typen von Variablen:
    DefBool b
    DefDate t
    DefDbl d
    DefInt i
    DefLng l
    DefObj o
    DefVar v

    DefStr s
    Sub ExampleDefStr
        sStr=String ' sStr ist eine implizite string-Variable
    End Sub